Subject: Re: [PATCH net-next v2 3/3] net: phy: marvell10g: place in powersave mode at probe

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 11 Apr 2020 09:36:58 +0100

On Fri, Apr 10, 2020 at 06:30:48PM +0200, Matteo Croce wrote:
> On Fri, Apr 10, 2020 at 6:23 PM Russell King - ARM Linux admin
> <[email-masked]> wrote:
> >
> > On Fri, Apr 10, 2020 at 06:07:46PM +0200, Matteo Croce wrote:
> > > On Fri, Apr 10, 2020 at 6:04 PM Russell King - ARM Linux admin
> > > <[email-masked]> wrote:
> > > >
> > > > On Fri, Apr 10, 2020 at 05:18:41PM +0200, Matteo Croce wrote:
> > > > > On Fri, Apr 10, 2020 at 5:16 PM Russell King - ARM Linux admin
> > > > > <[email-masked]> wrote:
> > > > > >
> > > > > > On Fri, Apr 10, 2020 at 04:59:44PM +0200, Matteo Croce wrote:
> > > > > > > On Fri, Apr 10, 2020 at 4:50 PM Russell King - ARM Linux admin
> > > > > > > <[email-masked]> wrote:
> > > > > > > >
> > > > > > > > On Fri, Apr 10, 2020 at 04:39:48PM +0200, Matteo Croce wrote:
> > > > > > > # ./mii-diag eth0 -p 32769
> > > > > > > Using the specified MII PHY index 32769.
> > > > > > > Basic registers of MII PHY #32769:  2040 0082 002b 09ab 0071 009a c000 0009.
> > > > > > >  Basic mode control register 0x2040: Auto-negotiation disabled, with
> > > > > > >  Speed fixed at 100 mbps, half-duplex.
> > > > > > >  Basic mode status register 0x0082 ... 0082.
> > > > > > >    Link status: not established.
> > > > > > >    *** Link Jabber! ***
> > > > > > >  Your link partner is generating 100baseTx link beat  (no autonegotiation).
> > > > > > >    End of basic transceiver information.
> > > > > > >
> > > > > > > root@macchiatobin:~# ip link show dev eth0
> > > > > > > 2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP
> > > > > > > mode DEFAULT group default qlen 2048
> > > > > > >     link/ether 00:51:82:11:22:00 brd ff:ff:ff:ff:ff:ff
> > > > > > >
> > > > > > > But no traffic in any direction
> > > > > >
> > > > > > So you have the same version PHY hardware as I do.
> > > > > >
> > > > > > So, we need further diagnosis, which isn't possible without a more
> > > > > > advanced mii-diag tool - I'm sorting that out now, and will provide
> > > > > > a link to a git repo later this afternoon.
> > > > > >
> > > > >
> > > > > Ok, I'll wait for the tool
> > > >
> > > > Okay, please give this a go:
> > > >
> > > >         git://git.armlinux.org.uk/~rmk/mii-diag/
> > > >
> > > > Please send me the full output from:
> > > >
> > > > # ./mii-diag eth0 -v -p 32768
> > > >
> > >
> > > Hi,
> > >
> > > here it is:
> >
> > Thanks.  It seems that the PHY is reporting that everything is fine,
> > all the various blocks associated with the SFP+ cage are reporting
> > that link is established, and link is established with the host.
> >
> > I wonder - can you tcpdump to see whether any traffic is being
> > received at either end of the link, in case it's only one direction
> > that is a problem?
> >
> 
> Hi,
> 
> The problem is in both directions, I can't receive anything, and sent
> can't be received from the other end.
> 
> # ip -s link show dev eth0
> 2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP
> mode DEFAULT group default qlen 2048
>     link/ether 00:51:82:11:22:00 brd ff:ff:ff:ff:ff:ff
>     RX: bytes  packets  errors  dropped overrun mcast
>     0          0        0       0       0       0
>     TX: bytes  packets  errors  dropped carrier collsns
>     252        6        0       0       0       0
> 
> If it can help, I can provide you access to the box.

Those statistics look suspicious - do you have IPv6 enabled?  If so,
those six packets are likely to be router discovery packets for IPv6.

Yes, I think having access to the box would be helpful to speed up
the diagnosis.  Also, having details of what is on the other end of
the DAC cable would be useful too.  Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up